<?php
/**
 * @file
 * Field handler to provide acess control for the encrypted email field
 */

 /**
 * A handler to display the uncrypted email version.
 *
 * @ingroup views_field_handlers
 */
class views_handler_field_dbee_user_mail extends views_handler_field_user_mail {

  function render($values) {
    $encrypted_mail = $values->{$this->field_alias};
    $decrypted_mail = dbee_case_load($encrypted_mail);
    if ($decrypted_mail != $encrypted_mail) {
      // The email adress is not empty an need to be decrypted
      $values->{$this->field_alias} = $decrypted_mail;
    }
    // In all cases, go throught the parent default way
    return parent::render($values);  
  }
}
